<?php

namespace common\logic\Distribution\ProductDistribution\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Distribution\ProductDistribution\Model\ProductDistribution;
use common\logic\Distribution\ProductDistribution\Repository\ProductDistributionRepository;
use common\logic\Distribution\ProductDistribution\Service\ProductDistributionBuilder;

class ProductDistributionContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return ProductDistribution::class;
    }

    public function getServices(): array
    {
        return [
            ProductDistributionRepository::class,
            ProductDistributionBuilder::class,
        ];
    }

    public function getRepository(): ProductDistributionRepository
    {
        return ProductDistributionRepository::getInstance();
    }

    public function getBuilder(): ProductDistributionBuilder
    {
        return ProductDistributionBuilder::getInstance();
    }
}